Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159986 - Check if running as root
Summary: Check if running as root
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 21:46 UTC by Andreas Thienemann
Modified: 2007-04-18 17:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 19:33:24 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-09 21:46:37 UTC
mock is unable to build packages when called as the root user.

Thus it would be advisable to check if mock is being called by uid == 0 and bail
out if that's the case.

Comment 1 Jeremy Katz 2005-06-12 23:35:48 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.